EnhancedFeed (gCube News Feed Portlet 1.6.2-SNAPSHOT API)
Date: 2014-04-01

org.gcube.portlets.user.newsfeed.shared

## Class EnhancedFeed

- java.lang.Object
- - org.gcube.portlets.user.newsfeed.shared.EnhancedFeed

- All Implemented Interfaces:
    Serializable

      public class EnhancedFeed
      extends Object
      implements Serializable

  Author:
    massi This class contains addtional user related information about a Feed e.g. if this user has liked it
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnhancedFeed()`
    `EnhancedFeed(org.gcube.portal.databook.shared.Feed feed, boolean liked, boolean isUsers)`
    `EnhancedFeed(org.gcube.portal.databook.shared.Feed feed, boolean liked, boolean isUsers, ArrayList<org.gcube.portal.databook.shared.Comment> comments)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArrayList<org.gcube.portal.databook.shared.Comment>` | `getComments()`
    `org.gcube.portal.databook.shared.Feed` | `getFeed()`
    `boolean` | `isLiked()`
    `boolean` | `isUsers()`
    `void` | `setComments(ArrayList<org.gcube.portal.databook.shared.Comment> comments)`
    `void` | `setFeed(org.gcube.portal.databook.shared.Feed feed)`
    `void` | `setLiked(boolean liked)`
    `void` | `setUsers(boolean isUsers)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnhancedFeed

          public EnhancedFeed()

    - #### EnhancedFeed

          public EnhancedFeed(org.gcube.portal.databook.shared.Feed feed,
                      boolean liked,
                      boolean isUsers)

    - #### EnhancedFeed

          public EnhancedFeed(org.gcube.portal.databook.shared.Feed feed,
                      boolean liked,
                      boolean isUsers,
                      ArrayList<org.gcube.portal.databook.shared.Comment> comments)

  - ### Method Detail

    - #### getComments

          public ArrayList<org.gcube.portal.databook.shared.Comment> getComments()

    - #### setComments

          public void setComments(ArrayList<org.gcube.portal.databook.shared.Comment> comments)

    - #### getFeed

          public org.gcube.portal.databook.shared.Feed getFeed()

    - #### setFeed

          public void setFeed(org.gcube.portal.databook.shared.Feed feed)

    - #### isLiked

          public boolean isLiked()

    - #### setLiked

          public void setLiked(boolean liked)

    - #### isUsers

          public boolean isUsers()

    - #### setUsers

          public void setUsers(boolean isUsers)

Copyright © 2014. All Rights Reserved.